Introduction to SlimBrowser

FlashPeak SlimBrowser

General Introduction

SlimBrowser is a multiple-site browser based on tab-page interface. It incorporates a large collection of wonderful features like recoverable popup killer, form filler, site group, quick-search, auto login, hidden sites, built-in commands and scripting, online translation, script error suppression, blacklist/whitelist filtering. It brings you convenient and comfortable browsing.

SlimBrowser is now Freeware.

All features

Multiple site browser based on tab-page interface

Recoverable Popup Killer based on both intelligent identification and pre-defined filtering
Site windows killed by mistake are FULLY RECOVERABLE

Convenient access to major search engines by Quick-Search Bar

Hidden Sites : hide and show a site at users' request

Fully automatic Form Filler

A large collection of skins based on custom window frame and buttons

AutoLogin: automatically connect and log into specified website with just one click.

Seamless integration with online web page and text translation service.

Ability to suppress script error message dialog

Open and save a collection of sites as a group

Seamless integration of the power of Windows Explorer and Internet Explorer

Access both remote and local resource (http, https, ftp, local files) in a uniform interface

Flexible control of startup actions

Feedback Product Homepage

Copyright 2002(c) FlashPeak, Inc. All Rights Reserved.


What's New

Ver 3.45

Add Indonesian, Dutch language file
Add hotkey to access address bar(F6 or ALT+D)
Increased startup speed with dynamic-loading favorites menu
Add support for mouse side-buttons to go back and forward

Ver 3.44

Add Swedish, Chinese Simplified, Galego language file

Ver 3.43

Add French, German, Catalan, Chinese Traditional language files.

Ver 3.42

Add Brazilian Portuguese, Polish and Hungarian language file

Ver 3.4

Add multi-lingual interface support!
Fixed right-bottom resize box bug
Fixed bug of window frame when skin is disabled

Ver 3.3

Domain name autocompletion (www.***.com)
Add <Go> button to address bar
Add show/hide tray icon/taskbar button option

Ver 3.2

Free zooming of any web page.

Ver 3.0

Add explorer bars: history, folders and favorites
Fully customizable tool bar
Integration with online dictionary
Shortcuts to shell and file system folders
Clean history, cookies and cached files.
Flexible download control options
Type alias instead of long URL

Ver 2.2

Add support for skins

Ver 2.1

Popup Killer
Suppressed popup windows can be restored at user request
Hidden site windows and hidden popup windows
Open address in clipboard
Full screen mode
Call external mail and news clients
Send page/link by email
Configurable search engines for quick-search bar

Ver 2.0

Ability to register as default browser
Popup killer
Detection by timing.
Form filler
Automatic filling when download is complete.
Site Group Management
<Change to parent directory> toolbar button, works for both local and web directories.


Menu Functions

Only the menu items not available in IE and special to SlimBrowser will be explained below. For menu items the same to those in IE, please refer to IE manual.

File Menu

New
Blank Site
Open a blank site in a new window
Home Page
Open home page in a new window
Duplicate Current Site
Open the address of the active site in a new window
From Address in Clipboard
Open the address in clipboard in a new window
Save As
Save the current page including pictures
Save Without Picture
Save the current page excluding pictures
Close All
Close all sites including hidden sites.
Close All But Current
Close all sites except the active one
Close All Blank & Failed Sites
Close all sites which are blank or in error like page not found.

Edit Menu

Select All
When the current site is an http site, this menu item will highlight the entire web page. When it's an ftp site or a local directory, this menu item will highlight all the files and directories displayed.

View Menu

Block Popup Windows
Enable the built-in popup killer to automatically block popup windows.
Restore Last Popup Window
Restore the last popup window blocked by popup killer.
Hidden Sites
Activate a dialog to view and manage all hidden sites. These sites may be manually hidden by user or automatically hidden by the popup killer.
Suppress Script Errors
Disable script error message dialogs. It will also disable script debugging.
Stop All
Stop the connection of all sites
Refresh All
Refresh all the sites
Skins
Disable Skin
Restore SlimBrowser to the plain appearance with no skin.
Select Skins...
Apply the selected skin to SlimBrowser. Refer to the section [Skins].

Favorites Menu

Import Favorites
Import Favorites from a bookmark file.
Export Favorites
Export Favorites to a bookmark file.
Refresh Favorites
Manually refresh the favorites menu in case the favorites folder is modified externally.

Language Menu

Online translation using free translation engines. It supports translation directions between the following languages: German, English, French, Spanish, Italian, Portuguese, Chinese, Japanese, Korean and Russian.

Translation Web Page
Google Translation
Translate the active web page using Google's translation engine
Babelfish Translation
Translate the active web page using Babelfish's translation engine
Translation Text
Google Translation
Translate selected text in the active window using Google's translation engine
Babel fish Translation
Translate selected text in the active window using Babelfish's translation engine
Look Up In Dictionaries
Custom Dictionary Definitions...
Open the dictionary definition file (dictionary.ini) to view and edit dictionary definition entries. The syntax of dictionary definition entries are the same as search engine definitions.
Predefined Dictionaries
Select a word in the current web page and choose a predefined online dictionary. SlimBrowser will automatically retrieve the interpretation of that word using the online dictionary.
Interface Language
Select the interface language of SlimBrowser. The effect is immediate. No need to restart SlimBrowser. Interested in providing a translation in your own language? Click here.

Groups Menu

Please refer to the section Site Group.

AutoLogin Menu

Please refer to the section AutoLogin.

Shortcuts

Shortcuts to frequently used shell folders.

Tools Menu

Set As Default Browser
Set SlimBrowser as the default browser.
External
Open With Internet Explorer
Open the current page with IE.
Windows Media Player
Windows Messenger
Telnet
Command Console
Notepad
Paint Brush
Mail and News
All the registered email clients are listed at the bottom of this sub-menu.
Clean Trace
Clean History
Clean browser history
Clean Cookies
Clean all cached cookies.
Clean Cached Files
Clean all pages, images and other files in cache.
Clean All Trace
Clean everything including history, cookies and cached files.
Site Filter
Enable Site Filter
This option will enable SlimBrowser to block sites in the black list but not in the white list.
White List...
View and edit the white list filter
Add Into White List...
Add the current site into the white list
Black List...
View and edit the black list filter
Add Into Black List...
Add the current site into the black list
Execute Scripts
Form Filler
Download Control
By default, all the options below are turned on. You can turn off some of them for higher speed or tighter security. Please note that the following download control options only apply to the active site. For default download control options which apply to all sites, change them in the options dialog.
Show Pictures
Play Videos
Play Sounds
Execute Scripts
Execute Java Applet
Enable ActiveX Control
Alias Definitions
Search Engine Definitions
Edit the file containing the definitions for all the search engines available on the quick-search bar.
Internet Options
Options for Internet Explorer. This menu item has the same function as the tools->internet options in IE.
Options
 Options special to SlimBrowser.


Options

These are options special to SlimBrowser and not available in IE. For standard Internet Explorer options, please select Tools->Internet Options for configuration.

Option Pages

General
Startup

Misc


Options-General

Popup Killer

Automatically Block Popup Windows
Enable the popup killer to automatically block popup windows.
Recognize Popup Windows By Timing
Identify any site window popped up spontaneously as an undesirable popup window. A site window is considered to be spontaneous if it doesn't immediately follow user actions.
Recognize Popup Windows By Appearance
Identify windows without menu bar, toolbar, status bar, or address bar as undesirable popup windows.

Please refer to section Popup Killer for details.

Site Filter

Enable Site Filter
Automatically block sites matching black list but not matching white list.
Black List / White List
View/edit black list and white list in the filter definition dialog.

Please refer to section Site Filter for details.

Auto New Window

Automatically open a new window when you open a site by typing an address and pressing enter, or selecting an existing address from the drop down list or the favorites. If you temporarily want to open site in the same window, hold down shift when pressing enter or selecting by mouse.

Suppress Script Errors

This option will disable the script error message dialogs. It will also disable script debugging. This option is recommended for most people who are not interested in script debugging.

Show Tray Icon/Hide Taskbar Button

When this option is turned on , the taskbar button will be hidden and an icon will be added to the system tray area (near system clock, at the right end of the task bar).


Options->Startup

The following options are located in the <Startup> page of the options dialog. They determine what SlimBrowser will do at startup.
Open Internet Explorer Homepage
Open the homepage defined in Internet Explorer.
Open a specified page
Open a specified page at startup. Enter the address in the edit box provided to the right.
Open a specified group
Open a specified group at startup. Enter the name of the group in the edit box provided to the right.
Execute the following commands
Execute the specified built-in commands at startup. Enter one command in each line.


Options -> Misc

Download Control

The following download control options apply to all sites to be opened in the future. They will not affect existing sites.

Show Pictures
Play Videos
Play Sounds
Execute Scripts
Execute Java Applet
Enable ActiveX Control


Address Bar

If you type something in the address bar, SlimBrowser will try to interpret in the following sequence:

  1. Alias
    If it matches an alias, the corresponding full URL will opened.
  2. Built-in commands
    If it matches a built-in command, it will be executed.
  3. Regular URL
    If it's recognized as a regular web address, it will be directly opened.
  4. Domain Name Autocompletion
    If what you type is a single word containing no space, "www." and ".com" will be automatically added to form a legal URL. Then that URL will be opened. You have NO need to press ctrl+enter for domain name autocompletion as you do in IE or other browsers.
  5. Search Engine Query
    If what you type is a phrase containing spaces and it can't be interpreted as a legal web address, SlimBrowser will pass the string to google search engine.


Alias

Alias feature makes you able to type a short alias instead of a long URL in full. You need just type the alias in the address bar. SlimBrowser will replace the alias with its full URL and then navigate to the target address. Select Tools->Alias Definitions to bring up the alias definition dialog in which you can view and edit alias definition entries. The following are some examples of aliases,

Alias | Full URL
ym | mail.yahoo.com
fp | www.flashpeak.com
gl | www.google.com
myprj | d:\user\smith\vc\proj1

You have no need to define aliases for the folders available in the Shortcuts Menu. There are shorthand built-in commands to access those folders.


AutoLogin

AutoLogin enables you to log into a website with just one click. It does so by automatically filling and submitting web forms with pre-defined login information. All the functions related with this feature are under "AutoLogin" menu of the main menu.

<AutoLogin> Menu

Organize AutoLogin...
Manage or create autologin entries with AutoLogin Organizer.

Password Protect...
Add access password for autologin entries. If you have set a password, you will be prompted for it when you attempt to access autologin entries for the first time after you start SlimBrowser.

Protect Now
Clear cached access password for autologin entries. You will need to input password again when you attempt to access autologin entries the next time.

[All the available autologin entries]
Choose any one of the available autologin entries and you will be automatically logged into the specified website with predefined login information. For example, your Yahoo email account.

AutoLogin Organizer

Select "AutoLogin->Organize AutoLogin..." to activate AutoLogin Organizer. To create an autologin entry, you need to supply the following fields,

Caption
Title of the autologin that will be shown in the autologin menu.

URL
Address of the target website for automatic connection.

Form Name
The name of the form containing all the login fields.

Login Data
The names and values of the form fields to be automatically filled in. It should be in the form of "http GET" query parameters. The syntax is like "field1=value1&field2=value2&field3=value3...". The value of the password field should be written as "$password". "$password" is a special macro which will be replaced by the actual password specified in another field.

Password
The one and only password field in the form.

You must view the source code of the login web page to get the above information. If you know nothing about HTML source code, write us and we will help set up autologin for you.

Yahoo Email Autologin Example

Caption: somebody@yahoo.com

URL: http://mail.yahoo.com

Form Name: login_form

Login Data: login=somebody&passwd=$password
Note: 'passwd' is the name of the password field while '$password' is macro to be replaced by your actual password.

Password: ********

By default, two example autologin entries are provided for yahoo email and hotmail. If you want to setup autologin for your yahoo email and hotmail account, you just need to edit the sample entries by replacing 'somebody' with your own account name and replacing the existing password with your own password.

Tips

You can access an autologin entry by the following built-in command:

autologin <EntryName>

You can directly type this command in the address bar or specify it as a virtual site in the group organizer.


Built-in Commands

Built-in commands can be used to carry out pre-defined operations. You can directly type a built-in command in the address bar. You can also use a built-in command as an entry in a site group. The command set will expand with the incoming of users requests and the expansion of my vision.

All the commands are listed below,
(Note: Square brackets indicate optional parameters.).
google [keyword]
Search for keyword on google search engine
autologin EntryName
Automatically log into a website using pre-defined autologin "EntryName".
opengroup GroupName
Open a predefined group with the supplied group name
script ScriptFile
 Execute a stored script file in the context of the active site.
Shell folders accessible by commands
Shell folder means actual file system folder or virtual folder accessible in Windows Explorer. All shell folders accessible by built-in commands are listed below. You can type the full name on the left or the abbreviation on the right in the address bar.
my computer | mycom
desktop
control panel | ctrl
startup
favorites
my documents | my doc
recent documents | recdoc
my profile | myprof
history
network neighborhood | nethood
cache
Internet cache directory. A tip is that you can go into this directory and find some downloaded files.
cookies
Internet cookie directory.
printers
start menu | smenu
Start menu visible to the current user.
common start menu | csmenu
The start menu visible all the users.
startup
Startup program group visible to the current user.
common startup | cstartup
Startup program group visible to all users.
recycle bin | recbin
my pictures | mypic


How to translate SlimBrowser into your own language?

SlimBrowser user interface has been designed in the most flexible way so that it's very easy for a user to translate SlimBrowser into his own language. Just go through the following instructions,

  1. Go to SlimBrowser installation directory, switch into "language" sub-directory where you will see all the available language files.
  2. Open "English.ini" and "template.ini" in the same editor. English.ini is the English language file while template.ini is a blank template language file.
  3. Fill in your name, email and website address in the top of template.ini for the purpose of credits.
  4. Translate every word or phrase in English.ini into your own language and fill it into the corresponding entry in template.ini. Entries in different languages are associated by the same identifier. Please leave the identifiers before the '=' symbol in each line untouched.
  5. Save template.ini as a new file named "LangName.ini" where "LangName" is the name of your own language. Email that file to us and we will include it in the next release. We will add credits for you on the homepage of SlimBrowser. :-)


Form Filler

Work Mechanism

There may be one or more forms in a web page. They are called web forms. There are one or more fields in a web form. Each field has a field name and a field value. The field name is defined in the source code of HTML page, which is invisible to the web surfers. The field value is to be entered by the web surfers.

The form filler in SlimBrowser use data entries in form data files for automatic form filling. It works by looking up matching field names in the form data file. If a matching field is found, that field will be filled with the corresponding value stored in the form data file. The form data file may be saved from existing forms in a web page that's already filled. You can also create or edit a form data file by inputting the data entries manually.

Form Data File

Since there are no uniform regulations about field names, the same value may appear in fields of different names. For example, you may have input your email in fields with the name of 'email', 'mail', or 'contact'. In a form data file, you are allowed to map multiple names to a single value. In general, a form data file consists of lines of data entries. A data entry represents a map of one or more names to a single value. It should observe the following format,

name1,name2,...=value

An example is,

email,mail,contact=flashpeak@yifan.net

If the value contains multiple lines like that in a text area, it should observe the following format,

name1,name2,...=<TextArea>
value line1
value line2
....
</TextArea>

An example is

address,addr,post address,billing address=<Text Area>
1040 S. Bruce Road Apt 2B
Houston, Texas 73840, USA
</TextArea>

If any of the names matches the name of a given field, the form filler will use the corresponding value to fill in that field.

Menu Functions

Form List...

Display the list of forms. All the forms are stored under the "forms" sub-directory of the installation directory. Each form is stored in a form data file (*.fmd). You can select one or more forms in the form list dialog. The data entries contained in the selected forms will be used for automatic form filling. Select <Edit> button to edit the current form data file.

Fill Active Form

Automatically fill active form (the form in which the caret is located) using the selected form data files. If the caret is not in any form, the first form in the web page will be automatically filled.

Fill All Form

Automatically fill all the forms in the whole web page.

Save Active Form

Save the data contained in the active form. If the caret is not in any form, the data in the first form is saved. If you save to an existing form date file, you will be prompted to overwrite or merge with the existing form data file. You might like to save similar data into the same form data file.

Save All Forms

Save the data contained in all the forms in the current web page.

Enable Auto Fill

When this option is on, SlimBrowser will automatically fill all the forms in a web page when it is completely downloaded.


Hidden Sites

Select View->Hidden Sites... from the main menu or click the corresponding button on the toolbar to activate the hidden sites dialog. All hidden sites are listed in this dialog. These sites may have been manually hidden by user, or have been automatically hidden by the popup killer. When the popup killer detects a popup window, it hides the site for a particular time and then closes it permanently. That time gives you opportunity to recover a useful popup window.

Show
You can select an item among all the listed sites and click <Show> button to make that site visible. You can use this button to recover a popup window before it's closed permanently.
Add Into White List
Click <Add Into White List> button to add the selected site into the white list so that it will not be identified as popup ads again.


Special Tricks

Tips On Opening/Closing Sites

Open New Sites In Same Window/New Window/Background

Enter an address in the address bar first. If the <auto new window> option is on, press <enter> will open the address in a new window and bring it to foreground. Press <shift+enter> to open the address in the current window. If the <auto new window> option is off, the function of <enter> and <shift+enter> will be exchanged. You can always press <ctrl+enter> to open the address in a new window in background.

The functions of shift and ctrl keys work the same way when you open new sites from favorites menu or in the browser window. The shift key determines whether the address is opened in a new window or the same window. The ctrl key determines whether the new window is brought to foreground or kept in background.

Close Site

You have many ways to close a site,
Double click a site tab.
Click the 'X' button at the right end of the tab bar.
Click the <Close All> button at the right end of the tab bar to close all active sites.
Select <Close> from the site tab popup menu


Recoverable Popup Killer

Why is this the best popup killer?

Popup killer automatically blocks annoying popup ad windows. A pitfall with most popup killers is that some popup windows are not ads and but they are killed by mistake. This is undesirable even with the aid of a white list. This problem is solved ideally by recoverable popup killer. Whenever a popup window is detected, it will be suppressed in a hidden state, i.e., deprived of the power to burden your eyes. Meanwhile, a toolbar icon will be flashed and you will hear an optional beep sound. If you think you may have lost a desirable popup window, just click a button to recover the last hidden popup window. The popup window will be permanently killed if it's not manually recovered after a particular time. This mechanism of popup window blocking also eliminates all script errors which are often induced by killing popup windows too early.

Identification

SlimBrowser identifies popup windows by two kinds of mechanism.

Popup window identification by timing
Any window popped up spontaneously will be identified as an undesirable popup window. A popup window is considered to be spontaneous if it doesn't immediately follow user actions like mouse clicks and keystrokes.
Popup window identification by appearance
Site windows without menu bar, toolbar, status bar, or address bar will be recognized as undesirable popup windows.

Please refer to the general page of the options dialog for options on identification mechanism.

Pre-defined Filtering

You can also aid the popup killer with predefined filtering. Sites matching the black list will be unconditionally considered as popup windows while sites matching the white list will never be considered as popup windows. Please refer to the section on Site Filters.

Notification

Whenever a popup window is detected, an icon will flash on the toolbar: . Simultaneously, you will hear an optional beep sound.

Recover Desirable Popup Windows

When you receive the notification which indicates a popup window has been blocked and you feel you may have lost some desirable site windows, you can manually recover the last popup window by selecting "Recover Last Popup Window" from the menu or toolbar. The last-blocked popup window will be brought back immediately. No reconnection is needed.

You can also choose to recover any popup windows that haven't been permanently killed yet in the hidden sites dialog.


Quick-Search Bar

Quick Search

Quick search bar provides easy access to search engines and look-up sites without connecting to their homepages first. SlimBrowser achieves this by a flexible interface and automatic form submission.

How to search?

Select a search engine from the drop down engine list on the search bar and enter the keywords. Press enter to start searching.

Add your own favorite search engines

All the search engines are defined in a configuration file named 'englist.ini' located under the installation directory of SlimBrowser. The configuration file includes a search engine definition in each line with the first line as illustrative header. A search engine definition consists of three fields in order: name, URL, method. These fields are separated by semicolons.

name: An illustrative name of the search engine which will appear in the drop down engine list on the quick-search bar.
URL: The address of the CGI (web form handler) together with the query parameters. No matter whether the method of query form is GET or POST, this URL should be written as if the form's method is GET. The keyword to be searched for is represented as $key in the URL. The standard format for this URL is like this:

http://www.searchengine.com/cgipath?para1=value1&para2=value2...&parax=$key.
method: the method of the web form, either 'GET' or 'POST'.

For example, the definition for google search engine is given below,

Google;http://www.google.com/search?q=$key;get

This defines the search engine name to be "Google" and the form method to be "Get". If you search for "goodie" via google, the query URL is http://www.google.com/search?q=goodie.

If you want to add your own search engine, view the source code of the query form. If the form method is GET, search for 'test' in that engine. Then copy the resulting URL into the search engine definition line but replace 'test' with $key. If the form method is POST, you have to get all the parameter names and values from the source code of the form.

If you know nothing about HTML and CGI but still want to add your own search engine, contact us.


Using Site Group

Site Groups

The use of site groups enables you to open a number of sites in one time.

<Groups> Menu

All the functions for site group operation are under <Groups> menu of the main menu.

Organize Group...
Use group organizer to manage and create site groups.

Add To Group...
Add the current site into a group with the group organizer
Save All Open Sites As Group...
Save all open sites as a group. If you save into an existing group, the existing entries will be overwritten.
[All the existing groups]
All the existing groups will be listed at the bottom of the <Groups> menu. Selecting any of them will open all of the sites contained in that group.

Group Organizer

Selecting "Groups->Group Organizer..." will activate the group organizer dialog. On the left-top part are shown all the existing groups. Click at any existing group and all the contained sites will be shown in the list box to the right. The buttons located at the left-bottom part of the dialog are for group operations. The buttons located at the right bottom part can be used to manipulate the sites within a group.
Rename an existing group
Select an existing group, enter the new group name in the edit box below the group list and click 'Rename' button.
Create a new group
Enter the new group name in the edit box below the group list and click 'Add' button.
Change an existing site
Enter the new site address in the edit box below the site list and click 'Change' button.
Add a new site
Enter the new site address in the edit box below the site list and click 'Add' button.
<Get Current Site>
A convenience button to automatically fill the URL of the active site into the edit box below the site list.

Using built-in commands in a group

You can use built-in commands as a virtual site in a group. For example, you can define a group containing the following three entries,

  1. www.flashpeak.com : An actual site
  2. autologin somebody@yahoo.com : Automatically log into Yahoo email with somebody's pre-defined login information.
  3. google SlimBrowser: search for SlimBrowser on google


Using Site Tab

Site tab provides a convenient interface to switch between sites. You can double click a site tab to close the site. Right click on the site tab and you will see a popup menu. The menu items are listed below,

Duplicate: Open the same address in a new window. Hold down 'CTRL' key to open the new window in background

Filter Out This Page
Add the URL of this page to the include-filter. A site window will be automatically closed if it tries to connect to this URL.

Filter Out Entire Site
Add the server address of this page to the include-filter. Any pages from that server will be filtered out.

Close: Close this site

Close All: Close All Active Sites.


Skins

Using Skins

Select "View->Skins->Select Skins.." to activate the dialog for selecting skins. In the dialog, you can click <apply> button to apply the selected skin on SlimBrowser. You can also double-click an item to apply the skin. Click <ok> button to apply the selected skin and dismiss the dialog.

Select "View->Skins->Disable Skins" to restore SlimBrowser to its original appearance without skin.

Design your own skins

Attention: If you design and contribute a good enough skin to SlimBrowser, you will be eligible for a FREE copy of SlimBrowser. A skin is good enough if we decide to include it in the installation package. We can help out on any non-drawing issues if you need it.

If you don't want to look at the following configuration details, draw the window frame and button images and mail it to us. We'll create the skin for you.

To start designing your own skin, go to SlimBrowser installation directory, change into "skins" directory and then create a sub-directory with the name of the new skin, for example, "my skin". Create a file named "skin.ini" under the newly created directory. You have to write configuration information in "skin.ini" and put necessary images under the same directory. All pictures must be windows bmp files currently.

skin.ini should start with this line: [general]. Specify one option in each line below. An option line should be in the form of "OptionName=OptionValue". If you want to use default value for that option, simply remove that line. A line like "OptionName=" will result in syntax error.

Window Frame

You have two choices for the window frame, i.e., simple-fill frame and custom frame.

Simple-fill frame
In this way, you will design a skin based on a round-rectangle frame with a simple filling pattern. You need to supply the following parameters,
FrameRect=left,top,right,bottom
Define the thickness on the four sides of the frame. You can write "FrameRect=default" and it will be set to "6,29,6,6". The top side is thicker because it includes the caption. You must specify this option so that this skin is treated as a simple-fill frame.
FrameCorner=radius
Define the radius of the frame corner, or how round the corner is. Set 0 if you want to have square corner.
FrameFill=picturefile
Specify the picture file which will be used as the filling pattern for the window frame. The default value is "framefill.bmp".
Custom Frame
If you haven't specified the option "FrameRect" in the configuration file, the skin will be treated as a custom frame. You have to include 12 images to define the frame. They are,

topleft.bmp, top.bmp, topright.bmp,
lefttop, left.bmp, leftbottom.bmp,
righttop.bmp, right.bmp, rightbottom.bmp,
bottomleft.bmp, bottom.bmp, bottomright.bmp.

Please notice that the top-left corner is included in topleft.bmp(instead of lefttop.bmp); the top-right corner is included in topright.bmp; the bottom-left corner is included in bottomleft.bmp, the bottom-right corner is included in bottom-right.bmp. Also notice that left.bmp, bottom.bmp, left.bmp and right.bmp should be rectangular in shape because they will be tiled to adapt to actual window size.

Custom Buttons

There are four buttons to be located on the window frame. You can supply an image file for each of the buttons. Each image file must contain four images for the button in normal, hot(when mouse is over), down and disabled states, respectively. The four images should be aligned from left to right in the order mentioned above. The four buttons are minimize button, maximize button, close button and system button.

minimize button: min.bmp
maxmize button: max.bmp
close button: close.bmp
system button: sys.bmp

Windows 3.x and unix has a system button while win95 or later replace the system button with an icon. The users click the system button to get a drop down system menu. You can use SlimBrowser icon image as the system button by specifying this option: SystemIcon=true. This option has a default value of true. If you want to use sys.bmp as the image for the system button, you should specify: SystemIcon=false.

Caption

CapTextColor=Red, Green, Blue
Specify the caption text color by RGB value.
CapRect=left, top, right, bottom
Specify the bounding rectangle of caption text. The <right> value should be specified as the negative of the distance from the right end of the caption.


Frequently Asked Questions

This browser seems too easy to use so that I've received almost no questions. You've got one? Ask me now!


Custom Support

Customer Support

Email

Please write to webmaster@flashpeak.com for any opinions, suggestions, and bug reports. Both positive feedback and negative feedback are welcome.

Feature Request

If you think this product misses an important feature, don't hesitate to tell us. If it's a reasonable and implementable feature, we can add it into a special beta version for you and will make it available in the next formal release.

Online Forum

User Forum on FlashPeak web site
Posted articles will be replied by our customer support people as soon as possible. You can also share opinions and ideas with other users.


Execute Scripts

This feature enables the user to execute java script or VB script in the context of the active site. It gives the user extra flexibility to control the web page style or extract desired information from a page. Menu items related with this feature are located at "Tools->Execute Scripts" of the main menu.

Custom Scripts...
Select this menu item and you will see a dialog. In that dialog, you can enter a piece of java script and vbscript. Make sure you choose the right script language and press <Execute> button to execute the script in the active site.
Stored Scripts
The rest of the menu items correspond to all the stored scripts. Stored scripts should be placed under the "scripts" sub-directory of SlimBrowser installation directory. The script files should have extensions of .js (javascript files) or .vbs (vbscript files).


Site Filter

Site filter allows you to block sites based on a black list and white list. Sites matching the black list but not matching the white list will be automatically blocked and closed. The popup killer must be enabled for the site filter to take effect.

Filter Definition

Both black list and white list are filters. A filter consists of one ore more entries. Each entry can be a part of or a whole web address. A site matches a filter when its address contains one of filter entries as a substring. For example,

filter entry
www.badsite.com/dir1
matching pages
http://www.badsite.com/dir1/page1.htm
http://www.badsite.com/dir1/dir2/page2.htm

SlimBrowser only blocks pages matching the black list but not matching the white list. You can use the white list to unblock pages from desired web directory. For example,

black list entry: www.badsite.com
white list entry: www.badsite.com/nice_dir
pages that will be blocked:
http://www.badsite.com/index.htm
http://www.badsite.com/dir1/ad.htm
pages that will not be blocked:
http://www.badsite.com/nice_dir/index.htm
http://www.badsite.com/nice_dir/dirx/hello.htm

Please note that site matching the white list will never be treated as popup ads.

Site Filter Configuration

You can enable/disable site filter, edit black list and white list in the general page of the options dialog. You can also do so by selecting "Tools->Site Filter" from the main menu. The filter definition dialog will be activated for you to define all the filter entries.

Filter Definition Dialog

In this dialog, you can add one or more entries to construct a filter.

Add: Enter a filter entry in the edit box at the bottom and click <Add> button to add this entry.
Remove: Select an entry from the entry list and click <Remove> button to remove the selected entry.
Update: Update the selected entry with the entry that you entered in the edit box at the bottom.